Events framework
============================

.. currentmodule:: pyo

Set of tools to generate sequence of events.

The purpose of the Event framework is to allow the user to generate a
sequence of events with as few as possible parameters to specify.

:py:class:`Events` is the heart of the framework. An Events object computes
parameters, generally designed with event generator objects, builds the events
and plays the sequence.

See the **Events framework** examples in the documentation for different use cases.

*EventScale*
-------------

.. autoclass:: EventScale
   :members:

   .. autoclasstoc::

*EventGenerator*
------------------

.. autoclass:: EventGenerator
   :members:

   .. autoclasstoc::

*EventDummy*
------------------

.. autoclass:: EventDummy
   :members:

   .. autoclasstoc::

*EventFilter*
------------------

.. autoclass:: EventFilter
   :members:

   .. autoclasstoc::

*EventKey*
------------------

.. autoclass:: EventKey
   :members:

   .. autoclasstoc::

*EventSeq*
------------------

.. autoclass:: EventSeq
   :members:

   .. autoclasstoc::

*EventSlide*
------------------

.. autoclass:: EventSlide
   :members:

   .. autoclasstoc::

*EventIndex*
------------------

.. autoclass:: EventIndex
   :members:

   .. autoclasstoc::

*EventMarkov*
------------------

.. autoclass:: EventMarkov
   :members:

   .. autoclasstoc::

*EventChoice*
------------------

.. autoclass:: EventChoice
   :members:

   .. autoclasstoc::

*EventDrunk*
------------------

.. autoclass:: EventDrunk
   :members:

   .. autoclasstoc::

*EventNoise*
------------------

.. autoclass:: EventNoise
   :members:

   .. autoclasstoc::

*EventCall*
------------------

.. autoclass:: EventCall
   :members:

   .. autoclasstoc::

*EventConditional*
------------------

.. autoclass:: EventConditional
   :members:

   .. autoclasstoc::

*EventInstrument*
------------------

.. autoclass:: EventInstrument
   :members:

   .. autoclasstoc::

*Events*
------------------

.. autoclass:: Events
   :members:

   .. autoclasstoc::
